/* main */
.menu-anchor {
  position: absolute;
  top: 1160px;
  right: 20px;
  z-index: 2;
  border-radius: 8px;
  background: #ffffff;
  padding: 12px 28px 12px 13px;
}
.menu-anchor-fixed {
  position: fixed;
  top: 280px;
  right: 20px;
}
.menu-anchor .menu-anchor-content {
  position: relative;
  padding-left: 13px;
  border-left: 2px solid #f5f6f8;
}
.menu-anchor .menu-anchor-content .menu-anchor-line {
  position: absolute;
  top: 0;
  left: -2px;
  height: 24px;
  border-left: 2px solid #186ef8;
  transition: all 0.3s;
}
.menu-anchor .menu-anchor-content .menu-anchor-item {
  color: #999;
  font-size: 14px;
  line-height: 20px;
  cursor: pointer;
}
.menu-anchor .menu-anchor-content .menu-anchor-item:not(:last-child) {
  margin-bottom: 24px;
}
.menu-anchor .menu-anchor-content .menu-anchor-item:hover {
  color: #186ef8;
}
.menu-anchor .menu-anchor-content .menu-anchor-item-active {
  color: #186ef8;
  font-weight: bold;
}

.banner {
  position: relative;
  font-size: 0;
  width: 100%;
}
.banner:after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.2);
  pointer-events: none;
}
.banner .carousel-container {
  overflow: hidden;
  position: relative;
}
.banner .carousel-container .carousel {
  position: relative;
  overflow: hidden;
  /*height: 900px;*/
}

.banner .carousel-container .carousel .carousel-track {
  display: flex;
  height: 100%;
  transition: transform 0.6s ease-in-out;
}
.carousel-slide {
  min-width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.video-box {
  position: relative;
}
.video-box .video-shadow {
  position: absolute;
  width: 160px;
  left: 0;
  top: 12px;
  display: none;
}
.carousel-indicators {
  position: absolute;
  bottom: 150px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  z-index: 10;
}

.indicator {
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background-color: rgba(255, 255, 255, 0.5);
  margin: 0 5px;
  cursor: pointer;
  transition: background-color 0.3s, transform 0.3s;
}

.indicator.active {
  background-color: white;
  transform: scale(1.2);
}
.interval-control label {
  margin-right: 10px;
  color: #606266;
  font-weight: 500;
}

.interval-control input {
  width: 70px;
  padding: 8px 12px;
  border: 1px solid #DCDFE6;
  border-radius: 4px;
  text-align: center;
  font-size: 1rem;
}
.carousel-slide video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.banner .banner-img {
  width: 100%;
  height: 100%;
  font-size: 0;
}
.banner .banner-tip {
  position: absolute;
  top: 350px;
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
  z-index: 2;
}
.banner .banner-tip .banner-tip-title {
  color: #fff;
  font-size: 52px;
  font-weight: 700;
  line-height: 52px;
  margin-bottom: 16px;
  white-space: nowrap;
}
.banner .banner-tip .banner-tip-subtitle {
  color: #fff;
  font-size: 28px;
  line-height: 28px;
}
.banner .banner-text-container {
  width: 100%;
  position: absolute;
  bottom: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.18);
  backdrop-filter: blur(15px);
  padding: 20px 0 44px;
  font-size: 20px;
  line-height: 28px;
  color: #ffffff;
  z-index: 2;
  
}
.banner .banner-text-container .banner-text {
  width: 1160px;
}
/* 公告 */
.announcement-container {
  box-sizing: border-box;
  width: 1200px;
  height: 72px;
  padding: 18px 36px;
  background: #ffffff;
  border-radius: 8px;
  margin: 40px auto 0;
}
.announcement-container .announcement-text {
  color: #1f1f1f;
  font-size: 28px;
  font-weight: 700;
  line-height: 28px;
  margin: 0 18px 0 12px;
}
.scroll-container {
  position: relative;
  height: 24px;
  overflow: hidden;
  flex: 1;
}
.scroll-container .scroll-content {
  position: relative;
}
.announcement-list {
  padding: 0;
  margin: 0;
  list-style: none;
}
/* 鼠标悬停时暂停动画 */
.scroll-container:hover .announcement-list {
  animation-play-state: paused;
}
.announcement-item {
  padding-bottom: 10px;
  cursor: pointer;
}
.announcement-date {
  color: #999;
  font-size: 24px;
  line-height: 24px;
}
.announcement-content {
  color: #444;
  font-size: 24px;
  line-height: 24px;
}

.title-container {
  text-align: center;
}
.title-container .english-title {
  font-size: 44px;
  font-style: normal;
  font-weight: 500;
  line-height: 44px;
  opacity: 0.3;
  background: linear-gradient(180deg, #1265ff -15.53%, rgba(18, 101, 255, 0) 83.79%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
.title-container .title {
  color: #000;
  font-size: 36px;
  font-weight: 700;
  line-height: 36px;
  margin-top: -22px;
}

/* 产品服务 */
.product-service {
  width: 1200px;
  margin: 48px auto 64px;
}
.product-service .product-service-main {
  box-sizing: border-box;
  height: 360px;
  padding: 44px 40px;
  border-radius: 20px;
  background: url('../images/serviceBg.png') no-repeat;
  background-size: 100% 100%;
}
.product-service .product-service-main .title {
  color: #1f1f1f;
  font-size: 40px;
  font-weight: 700;
  line-height: 52px;
}
.product-service .product-service-main .download-btn {
  width: fit-content;
  padding: 12px 28px;
  border-radius: 40px;
  background: #186ef8;
  margin: 15px 0 60px;
  cursor: pointer;
}
.product-service .product-service-main .download-btn .download-btn-text {
  color: #fff;
  font-size: 20px;
  line-height: 20px;
}
.product-service .product-service-main .product-service-desc {
  width: 666px;
  color: #5c5c5c;
  font-size: 16px;
  line-height: 20px;
}
.product-service .product-service-list {
  margin: 12px 0 64px;
}
.product-service .product-service-list .product-service-list-item {
  flex: 1;
  padding: 28px 43px 40px 36px;
  border-radius: 20px;
  background: #ffffff;
}
.product-service .product-service-list .product-service-list-item:not(:last-child) {
  margin-right: 20px;
}
.product-service .product-service-list .product-service-list-item .top {
  /*margin-bottom: 20px;*/
}
.product-service .product-service-list .product-service-list-item .top .icon {
  width: 52px;
  height: 52px;
  margin-right: 14px;
}
.product-service .product-service-list .product-service-list-item .top .text {
  color: #1f1f1f;
  font-size: 28px;
  font-weight: 700;
  line-height: 32px;
}
.product-service .product-service-list .product-service-list-item .desc {
  color: #5c5c5c;
  font-size: 16px;
  line-height: 20px;
}
/* 公司资质 */
.company-qualification {
  text-align: center;
  background: rgba(0, 0, 0, 0.2);
  padding: 100px 0;
  background: url('../images/certificateBg.png') no-repeat;
  background-size: 100% 100%;
}
.company-qualification .company-qualification-main {
  width: 1200px;
  padding: 44px 0 78px;
  border-radius: 20px;
  background: #ffffff;
  margin: 0 auto;
}
.company-qualification .company-qualification-main .tip {
  color: #000;
  font-size: 20px;
  font-weight: 500;
  line-height: 32px;
  margin: 18px 0 33px;
}
.company-qualification .company-qualification-main .text {
  color: #000;
  font-size: 16px;
  line-height: 16px; 
}
.company-qualification .company-qualification-main .img {
  width: 627px;
}

/* 公司优势 */
.company-advantages {
  padding: 100px 0;
}
.company-advantages .company-advantages-list {
  width: 1200px;
  margin: 48px auto 0;
}
.company-advantages .company-advantages-list .company-advantages-list-item {
  box-sizing: border-box;
  flex: 1;
  height: 494px;
  padding: 28px;
  border-radius: 20px;
}
.company-advantages-bg1 {
  background: url('../images/advantageBg1.png') no-repeat;
  background-size: 100% 100%;
}
.company-advantages-bg2 {
  background: url('../images/advantageBg2.png') no-repeat;
  background-size: 100% 100%;
}
.company-advantages-bg3 {
  background: url('../images/advantageBg3.png') no-repeat;
  background-size: 100% 100%;
}
.company-advantages-bg4 {
  background: url('../images/advantageBg4.png') no-repeat;
  background-size: 100% 100%;
}
.company-advantages .company-advantages-list .company-advantages-list-item:not(:last-child) {
  margin-right: 24px;
}
.company-advantages .company-advantages-list .company-advantages-list-item .title {
  color: #fff;
  font-size: 36px;
  font-weight: 500;
  line-height: 36px;
  margin-bottom: 20px;
}
.company-advantages .company-advantages-list .company-advantages-list-item .desc {
  color: #fff;
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  margin-top: 23px;
}
/* 公司荣誉 */
.company-glory {
  padding: 100px 0;
  background: url('../images/companyGloryBg.png') no-repeat;
  background-size: 100% 100%;
}
.company-glory .company-glory-scroll-container {
  margin: 148px 0 100px;
  width: 100%;
  /* 文字渐变遮罩 */
  mask-image: linear-gradient(to right, transparent 0%, white 20%, white 80%, transparent 100%);
  -webkit-mask-image: linear-gradient(
    to right,
    transparent 0%,
    white 20%,
    white 80%,
    transparent 100%
  );
  /* 兼容旧版Webkit */
  overflow: hidden;
}
.company-glory .company-glory-scroll-container .company-glory-scroll-content{
  position: relative;
  display: flex;
}

.company-glory .company-glory-list {
  flex-shrink: 0;
  color: white;
}

.company-glory .company-glory-list .company-glory-list-item {
  width: 400px;
  margin-right: 48px;
}
.company-glory .company-glory-list .company-glory-list-item .icon {
  width: 80px;
  height: 160px;
}
.company-glory .company-glory-list .company-glory-list-item .text {
  width: 192px;
  color: #fff;
  text-align: center;
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;

  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 5;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;

  word-wrap: break-word; /* 旧版浏览器兼容 */
  overflow-wrap: break-word; /* 标准属性 */
  word-break: break-all; /* 非CJK文本强制断词 */
}
/* 天府通动态 */
.tft-dynamics {
  padding: 100px 0 150px;
}

.tft-dynamics .tft-dynamics-scroll-container {
  margin-top: 48px;
  width: 100%;

  /* 文字渐变遮罩 */
  mask-image: linear-gradient(to right, transparent 0%, white 10%, white 90%, transparent 100%);
  -webkit-mask-image: linear-gradient(
    to right,
    transparent 0%,
    white 10%,
    white 90%,
    transparent 100%
  );
  /* 兼容旧版Webkit */
  overflow: hidden;
}
.tft-dynamics .tft-dynamics-scroll-container .tft-dynamics-scroll-content{
  position: relative;
  display: flex;
}
.tft-dynamics .tft-dynamics-scroll-container .tft-dynamics-scroll-content .tft-dynamics-list {
  /* 透明黑色背景 (RGBA) */
  color: white;
  flex-shrink: 0;
}
.tft-dynamics .tft-dynamics-scroll-container .tft-dynamics-scroll-content .tft-dynamics-list .tft-dynamics-list-item {
  position: relative;
  width: 364px;
  height: 240px;
  border-radius: 20px;
  cursor: pointer;
  flex-shrink: 0;
}
.tft-dynamics .tft-dynamics-list .tft-dynamics-list-item {
  margin-right: 24px;
}
.tft-dynamics .tft-dynamics-list .tft-dynamics-list-item .img {
  width: 364px;
  height: 240px;
  position: absolute;
  left: 0;
  top: 0;
}
.tft-dynamics .tft-dynamics-list .tft-dynamics-list-item .no-img {
  width: 364px;
  height: 240px;
  background: #186ef8;
  border-radius: 20px;
}
.tft-dynamics .tft-dynamics-list .tft-dynamics-list-item .text {
  font-size: 14px;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  color: #ffffff;
  padding: 10px;
  box-sizing: border-box;

  position: absolute;
  left: 0;
  bottom: 0;
  overflow: hidden;
  width: 364px;
  height: 100%;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 68.36%, #000 100%);
  border-radius: 20px;
}
/* 加入我们 */
.join-us {
  height: 380px;
  background: #5c5c5c;
  background: url('../images/joinUsBg.png') no-repeat;
  background-size: 100% 100%;
}
.join-us .join-us-main .join-us-btn {
  width: fit-content;
  padding: 20px 28px;
  border-radius: 12px;
  background: #186ef8;
  margin: 34px auto 0;
  cursor: pointer;
}
.join-us .join-us-main .join-us-btn .text {
  color: #fff;
  font-size: 20px;
  line-height: 20px;
}
